%{?scl:%scl_package eclipse-m2e-egit}
%{!?scl:%global pkg_name %{name}}
%{?java_common_find_provides_and_requires}

%global baserelease 2

%global commit def7cfbfe91ce38dc8de162dc57d22ac0ece48bf
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           %{?scl_prefix}eclipse-m2e-egit
Version:        0.15.0
Release:        0.2.git%{shortcommit}.%{baserelease}%{?dist}
Summary:        M2E SCM Handler for EGit
License:        EPL
URL:            https://github.com/tesla/m2eclipse-egit/
BuildArch:      noarch

Source0:        https://github.com/tesla/m2eclipse-egit/archive/%{commit}/%{pkg_name}-%{version}-%{shortcommit}.tar.gz

BuildRequires:  %{?scl_prefix_maven}maven-local
BuildRequires:  %{?scl_prefix}tycho
BuildRequires:  %{?scl_prefix}osgi(org.eclipse.core.runtime)
BuildRequires:  %{?scl_prefix}osgi(org.eclipse.egit.core)
BuildRequires:  %{?scl_prefix}osgi(org.eclipse.egit.ui)
BuildRequires:  %{?scl_prefix}osgi(org.eclipse.jface)
BuildRequires:  %{?scl_prefix}osgi(org.eclipse.jgit)
BuildRequires:  %{?scl_prefix}osgi(org.eclipse.m2e.core)
BuildRequires:  %{?scl_prefix}osgi(org.eclipse.m2e.core.ui)
BuildRequires:  %{?scl_prefix}osgi(org.eclipse.m2e.scm)
BuildRequires:  %{?scl_prefix}osgi(org.eclipse.swt)
BuildRequires:  %{?scl_prefix}osgi(org.eclipse.ui)
BuildRequires:  %{?scl_prefix_maven}osgi(slf4j.api)
BuildRequires:  %{?scl_prefix}osgi(org.eclipse.equinox.p2.ui.discovery)
BuildRequires:  %{?scl_prefix}eclipse-jgit



%description
This package provides M2E SCM Handler for EGit which adds support for
git repositories to M2E.

%prep
%{?scl:scl enable %{scl_maven} %{scl} - << "EOFSCL"}
set -e -x
%setup -q -n m2eclipse-egit-%{commit}
find -name *.jar -delete

# Replace tycho support parent
%pom_remove_parent
%pom_xpath_inject "pom:project" "
<build>
<plugins>
  <plugin>
    <groupId>org.eclipse.tycho</groupId>
    <artifactId>tycho-maven-plugin</artifactId>
    <version>0.21.0</version>
    <extensions>true</extensions>
  </plugin>
</plugins>
</build>"

# Tests are skipped because of missing dependencies:
# osgi(org.eclipse.m2e.tests.common)
%pom_disable_module org.sonatype.m2e.egit.tests
%{?scl:EOFSCL}


%build
%{?scl:scl enable %{scl_maven} %{scl} - << "EOFSCL"}
set -e -x
%mvn_build -j
%{?scl:EOFSCL}


%install
%{?scl:scl enable %{scl_maven} %{scl} - << "EOFSCL"}
set -e -x
%mvn_install
%{?scl:EOFSCL}


%files -f .mfiles
%doc org.sonatype.m2e.egit.feature/license.html

%changelog
* Mon Dec 18 2017 Mat Booth <mat.booth@redhat.com> - 0.15.0-0.2.gitdef7cfb.2
- Rebuilt

* Sat Sep 23 2017 Mat Booth <mat.booth@redhat.com> - 0.15.0-0.2.gitdef7cfb.1
- Auto SCL-ise package for rh-eclipse47 collection

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.0-0.2.gitdef7cfb
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Thu May 11 2017 Mat Booth <mat.booth@redhat.com> - 0.15.0-0.1.gitdef7cfb
- Update to latest snapshot

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.0-0.10.gitaf764de
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.0-0.9.gitaf764de
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Oct 19 2015 Mikolaj Izdebski <mizdebsk@redhat.com> - 0.14.0-0.8.gitaf764de
- Add Enhances: eclipse-m2e-core

* Mon Sep 14 2015 Roland Grunberg <rgrunber@redhat.com> - 0.14.0-0.7.gitaf764de
- Rebuild as an Eclipse p2 Droplet.

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.14.0-0.6.gitaf764de
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jun 1 2015 Alexander Kurtakov <akurtako@redhat.com> 0.14.0-0.5.gitaf764de
- Update to newer snapshot that works with Egit 4.0.

* Tue Dec 9 2014 Alexander Kurtakov <akurtako@redhat.com> 0.14.0-0.4.git571dc0a
- Fix FTBFS.

* Wed Sep 10 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 0.14.0-0.3.git571dc0a
- Install with XMvn

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.14.0-0.2.git571dc0a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Jan 29 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 0.14.0-0.1.git571dc0a
- Initial packaging
